export declare const USER_TIMEZONE_KEY = "userTimezone";
/**
 * Returning `undefined` ensure that if unset the browser default will be used in `DateTimeFormat`.
 * @returns The user specified timezone or `undefined`
 */
export declare function getUserTimezone(): string | undefined;
/**
 * Set in the settings the given timezone
 * @timezone
 */
export declare function setUserTimezone(timezone: string): Promise<void>;
/**
 * Return all the available timezones
 */
export declare function getAllTimezones(): string[];
/**
 * Return the current timezone in a short human readable way
 */
export declare function shortBrowserTimezone(): string;
